static struct needle_image needle_images[] = {
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-0-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 0,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-1-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 1,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-2-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 2,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-3-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 3,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-4-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 4,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-5-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 5,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-6-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 6,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-7-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 7,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-8-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 8,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-9-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 9,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-10-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 10,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-11-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 11,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-12-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 12,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-13-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 13,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-14-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 14,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-15-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 15,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-16-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 16,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-17-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 17,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-18-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 18,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-19-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 19,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-20-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 20,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-21-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 21,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-22-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 22,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-23-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 23,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-24-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 24,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-25-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 25,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-26-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 26,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-27-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 27,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-28-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 28,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-29-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 29,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-30-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 30,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-31-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 31,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-32-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 32,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-33-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 33,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-34-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 34,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-35-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 35,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-36-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 36,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-37-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 37,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-38-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 38,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-39-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 39,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-40-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 40,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-41-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 41,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-42-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 42,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-43-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 43,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-44-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 44,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-45-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 45,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-46-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 46,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-47-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 47,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-48-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 48,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-49-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 49,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-50-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 50,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-51-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 51,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-52-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 52,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-53-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 53,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-54-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 54,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-55-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 55,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-56-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 56,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-57-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 57,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-58-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 58,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-59-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 59,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-60-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 60,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-61-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 61,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-62-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 62,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-63-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 63,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-64-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 64,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-65-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 65,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-66-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 66,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-67-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 67,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-68-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 68,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-69-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 69,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-70-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 70,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-71-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 71,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-72-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 72,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-73-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 73,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-74-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 74,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-75-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 75,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-76-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 76,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-77-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 77,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-78-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 78,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-79-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 79,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-80-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 80,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-81-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 81,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-82-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 82,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-83-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 83,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-84-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 84,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-85-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 85,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-86-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 86,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-87-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 87,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-88-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 88,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-89-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 89,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-90-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 90,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-91-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 91,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-92-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 92,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-93-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 93,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-94-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 94,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-95-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 95,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-96-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 96,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-97-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 97,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-98-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 98,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-99-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 99,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-100-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 100,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-101-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 101,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-102-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 102,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-103-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 103,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-104-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 104,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-105-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 105,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-106-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 106,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-107-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 107,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-108-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 108,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-109-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 109,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-110-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 110,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-111-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 111,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-112-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 112,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-113-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 113,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-114-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 114,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-115-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 115,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-116-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 116,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-117-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 117,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-118-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 118,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-119-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 119,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-120-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 120,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-121-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 121,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-122-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 122,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-123-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 123,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-124-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 124,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-125-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 125,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-126-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 126,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-127-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 127,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-128-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 128,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-129-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 129,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-130-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 130,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-131-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 131,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-132-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 132,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-133-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 133,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-134-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 134,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-135-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 135,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-136-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 136,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-137-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 137,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-138-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 138,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-139-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 139,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-140-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 140,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-141-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 141,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-142-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 142,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-143-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 143,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-144-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 144,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-145-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 145,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-146-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 146,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-147-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 147,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-148-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 148,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-149-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 149,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-150-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 150,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-151-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 151,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-152-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 152,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-153-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 153,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-154-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 154,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-155-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 155,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-156-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 156,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-157-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 157,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-158-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 158,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-159-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 159,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-160-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 160,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-161-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 161,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-162-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 162,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-163-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 163,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-164-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 164,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-165-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 165,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-166-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 166,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-167-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 167,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-168-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 168,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-169-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 169,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-170-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 170,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-171-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 171,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-172-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 172,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-173-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 173,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-174-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 174,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-175-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 175,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-176-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 176,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-177-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 177,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-178-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 178,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-179-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 179,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-180-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 180,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-181-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 181,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-182-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 182,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-183-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 183,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-184-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 184,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-185-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 185,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-186-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 186,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-187-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 187,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-188-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 188,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-189-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 189,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-190-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 190,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-191-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 191,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-192-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 192,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-193-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 193,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-194-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 194,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-195-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 195,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-196-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 196,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-197-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 197,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-198-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 198,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-199-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 199,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-200-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 200,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-201-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 201,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-202-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 202,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-203-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 203,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-204-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 204,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-205-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 205,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-206-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 206,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-207-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 207,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-208-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 208,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-209-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 209,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-210-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 210,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-211-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 211,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-212-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 212,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-213-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 213,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-214-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 214,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-215-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 215,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-216-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 216,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-217-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 217,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-218-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 218,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-219-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 219,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-220-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 220,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-221-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 221,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-222-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 222,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-223-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 223,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-224-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 224,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-225-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 225,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-226-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 226,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-227-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 227,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-228-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 228,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-229-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 229,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-230-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 230,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-231-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 231,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-232-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 232,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-233-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 233,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-234-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 234,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-235-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 235,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-236-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 236,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-237-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 237,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-238-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 238,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-239-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 239,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-240-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 240,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-241-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 241,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-242-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 242,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-243-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 243,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-244-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 244,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-245-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 245,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-246-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 246,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-247-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 247,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-248-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 248,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-249-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 249,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-250-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 250,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-251-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 251,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-252-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 252,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-253-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 253,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-254-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 254,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-255-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 255,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-256-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 256,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-257-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 257,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-258-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 258,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-259-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 259,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-260-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 260,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-261-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 261,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-262-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 262,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-263-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 263,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-264-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 264,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-265-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 265,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-266-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 266,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-267-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 267,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-268-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 268,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-269-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 269,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-270-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 270,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-271-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 271,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-272-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 272,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-273-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 273,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-274-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 274,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-275-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 275,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-276-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 276,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-277-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 277,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-278-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 278,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-279-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 279,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-280-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 280,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-281-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 281,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-282-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 282,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-283-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 283,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-284-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 284,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-285-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 285,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-286-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 286,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-287-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 287,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-288-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 288,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-289-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 289,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-290-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 290,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-291-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 291,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-292-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 292,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-293-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 293,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-294-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 294,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-295-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 295,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-296-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 296,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-297-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 297,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-298-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 298,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-299-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 299,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-300-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 300,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-301-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 301,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-302-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 302,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-303-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 303,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-304-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 304,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-305-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 305,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-306-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 306,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-307-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 307,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-308-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 308,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-309-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 309,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-310-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 310,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-311-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 311,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-312-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 312,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-313-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 313,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-314-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 314,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-315-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 315,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-316-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 316,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-317-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 317,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-318-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 318,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-319-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 319,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-320-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 320,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-321-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 321,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-322-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 322,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-323-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 323,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-324-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 324,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-325-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 325,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-326-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 326,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-327-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 327,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-328-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 328,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-329-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 329,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-330-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 330,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-331-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 331,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-332-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 332,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-333-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 333,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-334-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 334,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-335-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 335,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-336-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 336,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-337-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 337,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-338-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 338,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-339-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 339,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-340-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 340,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-341-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 341,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-342-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 342,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-343-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 343,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-344-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 344,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-345-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 345,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-346-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 346,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-347-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 347,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-348-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 348,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-349-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 349,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-350-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 350,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-351-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 351,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-352-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 352,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-353-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 353,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-354-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 354,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-355-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 355,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-356-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 356,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-357-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 357,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-358-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 358,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-359-deg-40-40.raw",
		.width = 40,
		.height = 40,
		.angle = 359,
	},
};
static struct needle_asset mphassets[] = {
	{
		.pos_x = 106,
		.pos_y = 28,
		.angle = 0,
	},
	{
		.pos_x = 108,
		.pos_y = 28,
		.angle = 1,
	},
	{
		.pos_x = 109,
		.pos_y = 28,
		.angle = 2,
	},
	{
		.pos_x = 110,
		.pos_y = 28,
		.angle = 3,
	},
	{
		.pos_x = 111,
		.pos_y = 28,
		.angle = 4,
	},
	{
		.pos_x = 113,
		.pos_y = 28,
		.angle = 5,
	},
	{
		.pos_x = 114,
		.pos_y = 28,
		.angle = 6,
	},
	{
		.pos_x = 115,
		.pos_y = 29,
		.angle = 7,
	},
	{
		.pos_x = 116,
		.pos_y = 29,
		.angle = 8,
	},
	{
		.pos_x = 118,
		.pos_y = 29,
		.angle = 9,
	},
	{
		.pos_x = 119,
		.pos_y = 29,
		.angle = 10,
	},
	{
		.pos_x = 120,
		.pos_y = 29,
		.angle = 11,
	},
	{
		.pos_x = 121,
		.pos_y = 30,
		.angle = 12,
	},
	{
		.pos_x = 122,
		.pos_y = 30,
		.angle = 13,
	},
	{
		.pos_x = 124,
		.pos_y = 30,
		.angle = 14,
	},
	{
		.pos_x = 125,
		.pos_y = 30,
		.angle = 15,
	},
	{
		.pos_x = 126,
		.pos_y = 31,
		.angle = 16,
	},
	{
		.pos_x = 127,
		.pos_y = 31,
		.angle = 17,
	},
	{
		.pos_x = 128,
		.pos_y = 32,
		.angle = 18,
	},
	{
		.pos_x = 130,
		.pos_y = 32,
		.angle = 19,
	},
	{
		.pos_x = 131,
		.pos_y = 32,
		.angle = 20,
	},
	{
		.pos_x = 132,
		.pos_y = 33,
		.angle = 21,
	},
	{
		.pos_x = 133,
		.pos_y = 33,
		.angle = 22,
	},
	{
		.pos_x = 134,
		.pos_y = 34,
		.angle = 23,
	},
	{
		.pos_x = 135,
		.pos_y = 34,
		.angle = 24,
	},
	{
		.pos_x = 137,
		.pos_y = 35,
		.angle = 25,
	},
	{
		.pos_x = 138,
		.pos_y = 35,
		.angle = 26,
	},
	{
		.pos_x = 139,
		.pos_y = 36,
		.angle = 27,
	},
	{
		.pos_x = 140,
		.pos_y = 36,
		.angle = 28,
	},
	{
		.pos_x = 141,
		.pos_y = 37,
		.angle = 29,
	},
	{
		.pos_x = 142,
		.pos_y = 38,
		.angle = 30,
	},
	{
		.pos_x = 143,
		.pos_y = 38,
		.angle = 31,
	},
	{
		.pos_x = 144,
		.pos_y = 39,
		.angle = 32,
	},
	{
		.pos_x = 145,
		.pos_y = 40,
		.angle = 33,
	},
	{
		.pos_x = 146,
		.pos_y = 40,
		.angle = 34,
	},
	{
		.pos_x = 147,
		.pos_y = 41,
		.angle = 35,
	},
	{
		.pos_x = 148,
		.pos_y = 42,
		.angle = 36,
	},
	{
		.pos_x = 149,
		.pos_y = 42,
		.angle = 37,
	},
	{
		.pos_x = 150,
		.pos_y = 43,
		.angle = 38,
	},
	{
		.pos_x = 151,
		.pos_y = 44,
		.angle = 39,
	},
	{
		.pos_x = 152,
		.pos_y = 45,
		.angle = 40,
	},
	{
		.pos_x = 153,
		.pos_y = 46,
		.angle = 41,
	},
	{
		.pos_x = 154,
		.pos_y = 46,
		.angle = 42,
	},
	{
		.pos_x = 155,
		.pos_y = 47,
		.angle = 43,
	},
	{
		.pos_x = 156,
		.pos_y = 48,
		.angle = 44,
	},
	{
		.pos_x = 157,
		.pos_y = 49,
		.angle = 45,
	},
	{
		.pos_x = 158,
		.pos_y = 50,
		.angle = 46,
	},
	{
		.pos_x = 159,
		.pos_y = 51,
		.angle = 47,
	},
	{
		.pos_x = 160,
		.pos_y = 52,
		.angle = 48,
	},
	{
		.pos_x = 160,
		.pos_y = 53,
		.angle = 49,
	},
	{
		.pos_x = 161,
		.pos_y = 54,
		.angle = 50,
	},
	{
		.pos_x = 162,
		.pos_y = 55,
		.angle = 51,
	},
	{
		.pos_x = 163,
		.pos_y = 56,
		.angle = 52,
	},
	{
		.pos_x = 164,
		.pos_y = 57,
		.angle = 53,
	},
	{
		.pos_x = 164,
		.pos_y = 58,
		.angle = 54,
	},
	{
		.pos_x = 165,
		.pos_y = 59,
		.angle = 55,
	},
	{
		.pos_x = 166,
		.pos_y = 60,
		.angle = 56,
	},
	{
		.pos_x = 166,
		.pos_y = 61,
		.angle = 57,
	},
	{
		.pos_x = 167,
		.pos_y = 62,
		.angle = 58,
	},
	{
		.pos_x = 168,
		.pos_y = 63,
		.angle = 59,
	},
	{
		.pos_x = 168,
		.pos_y = 64,
		.angle = 60,
	},
	{
		.pos_x = 169,
		.pos_y = 65,
		.angle = 61,
	},
	{
		.pos_x = 170,
		.pos_y = 66,
		.angle = 62,
	},
	{
		.pos_x = 170,
		.pos_y = 67,
		.angle = 63,
	},
	{
		.pos_x = 171,
		.pos_y = 68,
		.angle = 64,
	},
	{
		.pos_x = 171,
		.pos_y = 69,
		.angle = 65,
	},
	{
		.pos_x = 172,
		.pos_y = 71,
		.angle = 66,
	},
	{
		.pos_x = 172,
		.pos_y = 72,
		.angle = 67,
	},
	{
		.pos_x = 173,
		.pos_y = 73,
		.angle = 68,
	},
	{
		.pos_x = 173,
		.pos_y = 74,
		.angle = 69,
	},
	{
		.pos_x = 174,
		.pos_y = 75,
		.angle = 70,
	},
	{
		.pos_x = 174,
		.pos_y = 76,
		.angle = 71,
	},
	{
		.pos_x = 174,
		.pos_y = 78,
		.angle = 72,
	},
	{
		.pos_x = 175,
		.pos_y = 79,
		.angle = 73,
	},
	{
		.pos_x = 175,
		.pos_y = 80,
		.angle = 74,
	},
	{
		.pos_x = 176,
		.pos_y = 81,
		.angle = 75,
	},
	{
		.pos_x = 176,
		.pos_y = 82,
		.angle = 76,
	},
	{
		.pos_x = 176,
		.pos_y = 84,
		.angle = 77,
	},
	{
		.pos_x = 176,
		.pos_y = 85,
		.angle = 78,
	},
	{
		.pos_x = 177,
		.pos_y = 86,
		.angle = 79,
	},
	{
		.pos_x = 177,
		.pos_y = 87,
		.angle = 80,
	},
	{
		.pos_x = 177,
		.pos_y = 88,
		.angle = 81,
	},
	{
		.pos_x = 177,
		.pos_y = 90,
		.angle = 82,
	},
	{
		.pos_x = 177,
		.pos_y = 91,
		.angle = 83,
	},
	{
		.pos_x = 178,
		.pos_y = 92,
		.angle = 84,
	},
	{
		.pos_x = 178,
		.pos_y = 93,
		.angle = 85,
	},
	{
		.pos_x = 178,
		.pos_y = 95,
		.angle = 86,
	},
	{
		.pos_x = 178,
		.pos_y = 96,
		.angle = 87,
	},
	{
		.pos_x = 178,
		.pos_y = 97,
		.angle = 88,
	},
	{
		.pos_x = 178,
		.pos_y = 98,
		.angle = 89,
	},
	{
		.pos_x = 178,
		.pos_y = 100,
		.angle = 90,
	},
	{
		.pos_x = 178,
		.pos_y = 101,
		.angle = 91,
	},
	{
		.pos_x = 178,
		.pos_y = 102,
		.angle = 92,
	},
	{
		.pos_x = 178,
		.pos_y = 103,
		.angle = 93,
	},
	{
		.pos_x = 178,
		.pos_y = 105,
		.angle = 94,
	},
	{
		.pos_x = 178,
		.pos_y = 106,
		.angle = 95,
	},
	{
		.pos_x = 178,
		.pos_y = 107,
		.angle = 96,
	},
	{
		.pos_x = 177,
		.pos_y = 108,
		.angle = 97,
	},
	{
		.pos_x = 177,
		.pos_y = 110,
		.angle = 98,
	},
	{
		.pos_x = 177,
		.pos_y = 111,
		.angle = 99,
	},
	{
		.pos_x = 177,
		.pos_y = 112,
		.angle = 100,
	},
	{
		.pos_x = 177,
		.pos_y = 113,
		.angle = 101,
	},
	{
		.pos_x = 176,
		.pos_y = 115,
		.angle = 102,
	},
	{
		.pos_x = 176,
		.pos_y = 116,
		.angle = 103,
	},
	{
		.pos_x = 176,
		.pos_y = 117,
		.angle = 104,
	},
	{
		.pos_x = 176,
		.pos_y = 118,
		.angle = 105,
	},
	{
		.pos_x = 175,
		.pos_y = 119,
		.angle = 106,
	},
	{
		.pos_x = 175,
		.pos_y = 121,
		.angle = 107,
	},
	{
		.pos_x = 174,
		.pos_y = 122,
		.angle = 108,
	},
	{
		.pos_x = 174,
		.pos_y = 123,
		.angle = 109,
	},
	{
		.pos_x = 174,
		.pos_y = 124,
		.angle = 110,
	},
	{
		.pos_x = 173,
		.pos_y = 125,
		.angle = 111,
	},
	{
		.pos_x = 173,
		.pos_y = 127,
		.angle = 112,
	},
	{
		.pos_x = 172,
		.pos_y = 128,
		.angle = 113,
	},
	{
		.pos_x = 172,
		.pos_y = 129,
		.angle = 114,
	},
	{
		.pos_x = 171,
		.pos_y = 130,
		.angle = 115,
	},
	{
		.pos_x = 171,
		.pos_y = 131,
		.angle = 116,
	},
	{
		.pos_x = 170,
		.pos_y = 132,
		.angle = 117,
	},
	{
		.pos_x = 170,
		.pos_y = 133,
		.angle = 118,
	},
	{
		.pos_x = 169,
		.pos_y = 134,
		.angle = 119,
	},
	{
		.pos_x = 168,
		.pos_y = 136,
		.angle = 120,
	},
	{
		.pos_x = 168,
		.pos_y = 137,
		.angle = 121,
	},
	{
		.pos_x = 167,
		.pos_y = 138,
		.angle = 122,
	},
	{
		.pos_x = 166,
		.pos_y = 139,
		.angle = 123,
	},
	{
		.pos_x = 166,
		.pos_y = 140,
		.angle = 124,
	},
	{
		.pos_x = 165,
		.pos_y = 141,
		.angle = 125,
	},
	{
		.pos_x = 164,
		.pos_y = 142,
		.angle = 126,
	},
	{
		.pos_x = 164,
		.pos_y = 143,
		.angle = 127,
	},
	{
		.pos_x = 163,
		.pos_y = 144,
		.angle = 128,
	},
	{
		.pos_x = 162,
		.pos_y = 145,
		.angle = 129,
	},
	{
		.pos_x = 161,
		.pos_y = 146,
		.angle = 130,
	},
	{
		.pos_x = 160,
		.pos_y = 147,
		.angle = 131,
	},
	{
		.pos_x = 160,
		.pos_y = 148,
		.angle = 132,
	},
	{
		.pos_x = 159,
		.pos_y = 149,
		.angle = 133,
	},
	{
		.pos_x = 158,
		.pos_y = 149,
		.angle = 134,
	},
	{
		.pos_x = 157,
		.pos_y = 150,
		.angle = 135,
	},
	{
		.pos_x = 156,
		.pos_y = 151,
		.angle = 136,
	},
	{
		.pos_x = 155,
		.pos_y = 152,
		.angle = 137,
	},
	{
		.pos_x = 154,
		.pos_y = 153,
		.angle = 138,
	},
	{
		.pos_x = 153,
		.pos_y = 154,
		.angle = 139,
	},
	{
		.pos_x = 152,
		.pos_y = 155,
		.angle = 140,
	},
	{
		.pos_x = 151,
		.pos_y = 155,
		.angle = 141,
	},
	{
		.pos_x = 150,
		.pos_y = 156,
		.angle = 142,
	},
	{
		.pos_x = 149,
		.pos_y = 157,
		.angle = 143,
	},
	{
		.pos_x = 148,
		.pos_y = 158,
		.angle = 144,
	},
	{
		.pos_x = 147,
		.pos_y = 158,
		.angle = 145,
	},
	{
		.pos_x = 146,
		.pos_y = 159,
		.angle = 146,
	},
	{
		.pos_x = 145,
		.pos_y = 160,
		.angle = 147,
	},
	{
		.pos_x = 144,
		.pos_y = 160,
		.angle = 148,
	},
	{
		.pos_x = 143,
		.pos_y = 161,
		.angle = 149,
	},
	{
		.pos_x = 142,
		.pos_y = 162,
		.angle = 150,
	},
	{
		.pos_x = 141,
		.pos_y = 162,
		.angle = 151,
	},
	{
		.pos_x = 140,
		.pos_y = 163,
		.angle = 152,
	},
	{
		.pos_x = 139,
		.pos_y = 164,
		.angle = 153,
	},
	{
		.pos_x = 138,
		.pos_y = 164,
		.angle = 154,
	},
	{
		.pos_x = 137,
		.pos_y = 165,
		.angle = 155,
	},
	{
		.pos_x = 135,
		.pos_y = 165,
		.angle = 156,
	},
	{
		.pos_x = 134,
		.pos_y = 166,
		.angle = 157,
	},
	{
		.pos_x = 133,
		.pos_y = 166,
		.angle = 158,
	},
	{
		.pos_x = 132,
		.pos_y = 167,
		.angle = 159,
	},
	{
		.pos_x = 131,
		.pos_y = 167,
		.angle = 160,
	},
	{
		.pos_x = 130,
		.pos_y = 167,
		.angle = 161,
	},
	{
		.pos_x = 128,
		.pos_y = 168,
		.angle = 162,
	},
	{
		.pos_x = 127,
		.pos_y = 168,
		.angle = 163,
	},
	{
		.pos_x = 126,
		.pos_y = 169,
		.angle = 164,
	},
	{
		.pos_x = 125,
		.pos_y = 169,
		.angle = 165,
	},
	{
		.pos_x = 124,
		.pos_y = 169,
		.angle = 166,
	},
	{
		.pos_x = 122,
		.pos_y = 169,
		.angle = 167,
	},
	{
		.pos_x = 121,
		.pos_y = 170,
		.angle = 168,
	},
	{
		.pos_x = 120,
		.pos_y = 170,
		.angle = 169,
	},
	{
		.pos_x = 119,
		.pos_y = 170,
		.angle = 170,
	},
	{
		.pos_x = 118,
		.pos_y = 170,
		.angle = 171,
	},
	{
		.pos_x = 116,
		.pos_y = 171,
		.angle = 172,
	},
	{
		.pos_x = 115,
		.pos_y = 171,
		.angle = 173,
	},
	{
		.pos_x = 114,
		.pos_y = 171,
		.angle = 174,
	},
	{
		.pos_x = 113,
		.pos_y = 171,
		.angle = 175,
	},
	{
		.pos_x = 111,
		.pos_y = 171,
		.angle = 176,
	},
	{
		.pos_x = 110,
		.pos_y = 171,
		.angle = 177,
	},
	{
		.pos_x = 109,
		.pos_y = 171,
		.angle = 178,
	},
	{
		.pos_x = 108,
		.pos_y = 171,
		.angle = 179,
	},
	{
		.pos_x = 106,
		.pos_y = 171,
		.angle = 180,
	},
	{
		.pos_x = 105,
		.pos_y = 171,
		.angle = 181,
	},
	{
		.pos_x = 104,
		.pos_y = 171,
		.angle = 182,
	},
	{
		.pos_x = 103,
		.pos_y = 171,
		.angle = 183,
	},
	{
		.pos_x = 101,
		.pos_y = 171,
		.angle = 184,
	},
	{
		.pos_x = 100,
		.pos_y = 171,
		.angle = 185,
	},
	{
		.pos_x = 99,
		.pos_y = 171,
		.angle = 186,
	},
	{
		.pos_x = 98,
		.pos_y = 171,
		.angle = 187,
	},
	{
		.pos_x = 96,
		.pos_y = 171,
		.angle = 188,
	},
	{
		.pos_x = 95,
		.pos_y = 170,
		.angle = 189,
	},
	{
		.pos_x = 94,
		.pos_y = 170,
		.angle = 190,
	},
	{
		.pos_x = 93,
		.pos_y = 170,
		.angle = 191,
	},
	{
		.pos_x = 91,
		.pos_y = 170,
		.angle = 192,
	},
	{
		.pos_x = 90,
		.pos_y = 169,
		.angle = 193,
	},
	{
		.pos_x = 89,
		.pos_y = 169,
		.angle = 194,
	},
	{
		.pos_x = 88,
		.pos_y = 169,
		.angle = 195,
	},
	{
		.pos_x = 87,
		.pos_y = 169,
		.angle = 196,
	},
	{
		.pos_x = 85,
		.pos_y = 168,
		.angle = 197,
	},
	{
		.pos_x = 84,
		.pos_y = 168,
		.angle = 198,
	},
	{
		.pos_x = 83,
		.pos_y = 167,
		.angle = 199,
	},
	{
		.pos_x = 82,
		.pos_y = 167,
		.angle = 200,
	},
	{
		.pos_x = 81,
		.pos_y = 167,
		.angle = 201,
	},
	{
		.pos_x = 79,
		.pos_y = 166,
		.angle = 202,
	},
	{
		.pos_x = 78,
		.pos_y = 166,
		.angle = 203,
	},
	{
		.pos_x = 77,
		.pos_y = 165,
		.angle = 204,
	},
	{
		.pos_x = 76,
		.pos_y = 165,
		.angle = 205,
	},
	{
		.pos_x = 75,
		.pos_y = 164,
		.angle = 206,
	},
	{
		.pos_x = 74,
		.pos_y = 164,
		.angle = 207,
	},
	{
		.pos_x = 73,
		.pos_y = 163,
		.angle = 208,
	},
	{
		.pos_x = 72,
		.pos_y = 162,
		.angle = 209,
	},
	{
		.pos_x = 71,
		.pos_y = 162,
		.angle = 210,
	},
	{
		.pos_x = 69,
		.pos_y = 161,
		.angle = 211,
	},
	{
		.pos_x = 68,
		.pos_y = 160,
		.angle = 212,
	},
	{
		.pos_x = 67,
		.pos_y = 160,
		.angle = 213,
	},
	{
		.pos_x = 66,
		.pos_y = 159,
		.angle = 214,
	},
	{
		.pos_x = 65,
		.pos_y = 158,
		.angle = 215,
	},
	{
		.pos_x = 64,
		.pos_y = 158,
		.angle = 216,
	},
	{
		.pos_x = 63,
		.pos_y = 157,
		.angle = 217,
	},
	{
		.pos_x = 62,
		.pos_y = 156,
		.angle = 218,
	},
	{
		.pos_x = 61,
		.pos_y = 155,
		.angle = 219,
	},
	{
		.pos_x = 60,
		.pos_y = 155,
		.angle = 220,
	},
	{
		.pos_x = 59,
		.pos_y = 154,
		.angle = 221,
	},
	{
		.pos_x = 58,
		.pos_y = 153,
		.angle = 222,
	},
	{
		.pos_x = 57,
		.pos_y = 152,
		.angle = 223,
	},
	{
		.pos_x = 57,
		.pos_y = 151,
		.angle = 224,
	},
	{
		.pos_x = 56,
		.pos_y = 150,
		.angle = 225,
	},
	{
		.pos_x = 55,
		.pos_y = 149,
		.angle = 226,
	},
	{
		.pos_x = 54,
		.pos_y = 149,
		.angle = 227,
	},
	{
		.pos_x = 53,
		.pos_y = 148,
		.angle = 228,
	},
	{
		.pos_x = 52,
		.pos_y = 147,
		.angle = 229,
	},
	{
		.pos_x = 51,
		.pos_y = 146,
		.angle = 230,
	},
	{
		.pos_x = 51,
		.pos_y = 145,
		.angle = 231,
	},
	{
		.pos_x = 50,
		.pos_y = 144,
		.angle = 232,
	},
	{
		.pos_x = 49,
		.pos_y = 143,
		.angle = 233,
	},
	{
		.pos_x = 48,
		.pos_y = 142,
		.angle = 234,
	},
	{
		.pos_x = 48,
		.pos_y = 141,
		.angle = 235,
	},
	{
		.pos_x = 47,
		.pos_y = 140,
		.angle = 236,
	},
	{
		.pos_x = 46,
		.pos_y = 139,
		.angle = 237,
	},
	{
		.pos_x = 46,
		.pos_y = 138,
		.angle = 238,
	},
	{
		.pos_x = 45,
		.pos_y = 137,
		.angle = 239,
	},
	{
		.pos_x = 44,
		.pos_y = 136,
		.angle = 240,
	},
	{
		.pos_x = 44,
		.pos_y = 134,
		.angle = 241,
	},
	{
		.pos_x = 43,
		.pos_y = 133,
		.angle = 242,
	},
	{
		.pos_x = 42,
		.pos_y = 132,
		.angle = 243,
	},
	{
		.pos_x = 42,
		.pos_y = 131,
		.angle = 244,
	},
	{
		.pos_x = 41,
		.pos_y = 130,
		.angle = 245,
	},
	{
		.pos_x = 41,
		.pos_y = 129,
		.angle = 246,
	},
	{
		.pos_x = 40,
		.pos_y = 128,
		.angle = 247,
	},
	{
		.pos_x = 40,
		.pos_y = 127,
		.angle = 248,
	},
	{
		.pos_x = 39,
		.pos_y = 125,
		.angle = 249,
	},
	{
		.pos_x = 39,
		.pos_y = 124,
		.angle = 250,
	},
	{
		.pos_x = 39,
		.pos_y = 123,
		.angle = 251,
	},
	{
		.pos_x = 38,
		.pos_y = 122,
		.angle = 252,
	},
	{
		.pos_x = 38,
		.pos_y = 121,
		.angle = 253,
	},
	{
		.pos_x = 37,
		.pos_y = 119,
		.angle = 254,
	},
	{
		.pos_x = 37,
		.pos_y = 118,
		.angle = 255,
	},
	{
		.pos_x = 37,
		.pos_y = 117,
		.angle = 256,
	},
	{
		.pos_x = 37,
		.pos_y = 116,
		.angle = 257,
	},
	{
		.pos_x = 36,
		.pos_y = 115,
		.angle = 258,
	},
	{
		.pos_x = 36,
		.pos_y = 113,
		.angle = 259,
	},
	{
		.pos_x = 36,
		.pos_y = 112,
		.angle = 260,
	},
	{
		.pos_x = 36,
		.pos_y = 111,
		.angle = 261,
	},
	{
		.pos_x = 35,
		.pos_y = 110,
		.angle = 262,
	},
	{
		.pos_x = 35,
		.pos_y = 108,
		.angle = 263,
	},
	{
		.pos_x = 35,
		.pos_y = 107,
		.angle = 264,
	},
	{
		.pos_x = 35,
		.pos_y = 106,
		.angle = 265,
	},
	{
		.pos_x = 35,
		.pos_y = 105,
		.angle = 266,
	},
	{
		.pos_x = 35,
		.pos_y = 103,
		.angle = 267,
	},
	{
		.pos_x = 35,
		.pos_y = 102,
		.angle = 268,
	},
	{
		.pos_x = 35,
		.pos_y = 101,
		.angle = 269,
	},
	{
		.pos_x = 35,
		.pos_y = 100,
		.angle = 270,
	},
	{
		.pos_x = 35,
		.pos_y = 98,
		.angle = 271,
	},
	{
		.pos_x = 35,
		.pos_y = 97,
		.angle = 272,
	},
	{
		.pos_x = 35,
		.pos_y = 96,
		.angle = 273,
	},
	{
		.pos_x = 35,
		.pos_y = 95,
		.angle = 274,
	},
	{
		.pos_x = 35,
		.pos_y = 93,
		.angle = 275,
	},
	{
		.pos_x = 35,
		.pos_y = 92,
		.angle = 276,
	},
	{
		.pos_x = 35,
		.pos_y = 91,
		.angle = 277,
	},
	{
		.pos_x = 35,
		.pos_y = 90,
		.angle = 278,
	},
	{
		.pos_x = 36,
		.pos_y = 88,
		.angle = 279,
	},
	{
		.pos_x = 36,
		.pos_y = 87,
		.angle = 280,
	},
	{
		.pos_x = 36,
		.pos_y = 86,
		.angle = 281,
	},
	{
		.pos_x = 36,
		.pos_y = 85,
		.angle = 282,
	},
	{
		.pos_x = 37,
		.pos_y = 84,
		.angle = 283,
	},
	{
		.pos_x = 37,
		.pos_y = 82,
		.angle = 284,
	},
	{
		.pos_x = 37,
		.pos_y = 81,
		.angle = 285,
	},
	{
		.pos_x = 37,
		.pos_y = 80,
		.angle = 286,
	},
	{
		.pos_x = 38,
		.pos_y = 79,
		.angle = 287,
	},
	{
		.pos_x = 38,
		.pos_y = 78,
		.angle = 288,
	},
	{
		.pos_x = 39,
		.pos_y = 76,
		.angle = 289,
	},
	{
		.pos_x = 39,
		.pos_y = 75,
		.angle = 290,
	},
	{
		.pos_x = 39,
		.pos_y = 74,
		.angle = 291,
	},
	{
		.pos_x = 40,
		.pos_y = 73,
		.angle = 292,
	},
	{
		.pos_x = 40,
		.pos_y = 72,
		.angle = 293,
	},
	{
		.pos_x = 41,
		.pos_y = 71,
		.angle = 294,
	},
	{
		.pos_x = 41,
		.pos_y = 69,
		.angle = 295,
	},
	{
		.pos_x = 42,
		.pos_y = 68,
		.angle = 296,
	},
	{
		.pos_x = 42,
		.pos_y = 67,
		.angle = 297,
	},
	{
		.pos_x = 43,
		.pos_y = 66,
		.angle = 298,
	},
	{
		.pos_x = 44,
		.pos_y = 65,
		.angle = 299,
	},
	{
		.pos_x = 44,
		.pos_y = 64,
		.angle = 300,
	},
	{
		.pos_x = 45,
		.pos_y = 63,
		.angle = 301,
	},
	{
		.pos_x = 46,
		.pos_y = 62,
		.angle = 302,
	},
	{
		.pos_x = 46,
		.pos_y = 61,
		.angle = 303,
	},
	{
		.pos_x = 47,
		.pos_y = 60,
		.angle = 304,
	},
	{
		.pos_x = 48,
		.pos_y = 59,
		.angle = 305,
	},
	{
		.pos_x = 48,
		.pos_y = 58,
		.angle = 306,
	},
	{
		.pos_x = 49,
		.pos_y = 57,
		.angle = 307,
	},
	{
		.pos_x = 50,
		.pos_y = 56,
		.angle = 308,
	},
	{
		.pos_x = 51,
		.pos_y = 55,
		.angle = 309,
	},
	{
		.pos_x = 51,
		.pos_y = 54,
		.angle = 310,
	},
	{
		.pos_x = 52,
		.pos_y = 53,
		.angle = 311,
	},
	{
		.pos_x = 53,
		.pos_y = 52,
		.angle = 312,
	},
	{
		.pos_x = 54,
		.pos_y = 51,
		.angle = 313,
	},
	{
		.pos_x = 55,
		.pos_y = 50,
		.angle = 314,
	},
	{
		.pos_x = 56,
		.pos_y = 49,
		.angle = 315,
	},
	{
		.pos_x = 57,
		.pos_y = 48,
		.angle = 316,
	},
	{
		.pos_x = 57,
		.pos_y = 47,
		.angle = 317,
	},
	{
		.pos_x = 58,
		.pos_y = 46,
		.angle = 318,
	},
	{
		.pos_x = 59,
		.pos_y = 46,
		.angle = 319,
	},
	{
		.pos_x = 60,
		.pos_y = 45,
		.angle = 320,
	},
	{
		.pos_x = 61,
		.pos_y = 44,
		.angle = 321,
	},
	{
		.pos_x = 62,
		.pos_y = 43,
		.angle = 322,
	},
	{
		.pos_x = 63,
		.pos_y = 42,
		.angle = 323,
	},
	{
		.pos_x = 64,
		.pos_y = 42,
		.angle = 324,
	},
	{
		.pos_x = 65,
		.pos_y = 41,
		.angle = 325,
	},
	{
		.pos_x = 66,
		.pos_y = 40,
		.angle = 326,
	},
	{
		.pos_x = 67,
		.pos_y = 40,
		.angle = 327,
	},
	{
		.pos_x = 68,
		.pos_y = 39,
		.angle = 328,
	},
	{
		.pos_x = 69,
		.pos_y = 38,
		.angle = 329,
	},
	{
		.pos_x = 70,
		.pos_y = 38,
		.angle = 330,
	},
	{
		.pos_x = 72,
		.pos_y = 37,
		.angle = 331,
	},
	{
		.pos_x = 73,
		.pos_y = 36,
		.angle = 332,
	},
	{
		.pos_x = 74,
		.pos_y = 36,
		.angle = 333,
	},
	{
		.pos_x = 75,
		.pos_y = 35,
		.angle = 334,
	},
	{
		.pos_x = 76,
		.pos_y = 35,
		.angle = 335,
	},
	{
		.pos_x = 77,
		.pos_y = 34,
		.angle = 336,
	},
	{
		.pos_x = 78,
		.pos_y = 34,
		.angle = 337,
	},
	{
		.pos_x = 79,
		.pos_y = 33,
		.angle = 338,
	},
	{
		.pos_x = 81,
		.pos_y = 33,
		.angle = 339,
	},
	{
		.pos_x = 82,
		.pos_y = 32,
		.angle = 340,
	},
	{
		.pos_x = 83,
		.pos_y = 32,
		.angle = 341,
	},
	{
		.pos_x = 84,
		.pos_y = 32,
		.angle = 342,
	},
	{
		.pos_x = 85,
		.pos_y = 31,
		.angle = 343,
	},
	{
		.pos_x = 87,
		.pos_y = 31,
		.angle = 344,
	},
	{
		.pos_x = 88,
		.pos_y = 30,
		.angle = 345,
	},
	{
		.pos_x = 89,
		.pos_y = 30,
		.angle = 346,
	},
	{
		.pos_x = 90,
		.pos_y = 30,
		.angle = 347,
	},
	{
		.pos_x = 91,
		.pos_y = 30,
		.angle = 348,
	},
	{
		.pos_x = 93,
		.pos_y = 29,
		.angle = 349,
	},
	{
		.pos_x = 94,
		.pos_y = 29,
		.angle = 350,
	},
	{
		.pos_x = 95,
		.pos_y = 29,
		.angle = 351,
	},
	{
		.pos_x = 96,
		.pos_y = 29,
		.angle = 352,
	},
	{
		.pos_x = 98,
		.pos_y = 29,
		.angle = 353,
	},
	{
		.pos_x = 99,
		.pos_y = 28,
		.angle = 354,
	},
	{
		.pos_x = 100,
		.pos_y = 28,
		.angle = 355,
	},
	{
		.pos_x = 101,
		.pos_y = 28,
		.angle = 356,
	},
	{
		.pos_x = 103,
		.pos_y = 28,
		.angle = 357,
	},
	{
		.pos_x = 104,
		.pos_y = 28,
		.angle = 358,
	},
	{
		.pos_x = 105,
		.pos_y = 28,
		.angle = 359,
	},
};
static struct needle_asset rpmassets[] = {
	{
		.pos_x = 492,
		.pos_y = 28,
		.angle = 0,
	},
	{
		.pos_x = 493,
		.pos_y = 28,
		.angle = 1,
	},
	{
		.pos_x = 494,
		.pos_y = 28,
		.angle = 2,
	},
	{
		.pos_x = 495,
		.pos_y = 28,
		.angle = 3,
	},
	{
		.pos_x = 497,
		.pos_y = 29,
		.angle = 4,
	},
	{
		.pos_x = 498,
		.pos_y = 29,
		.angle = 5,
	},
	{
		.pos_x = 499,
		.pos_y = 29,
		.angle = 6,
	},
	{
		.pos_x = 500,
		.pos_y = 29,
		.angle = 7,
	},
	{
		.pos_x = 502,
		.pos_y = 29,
		.angle = 8,
	},
	{
		.pos_x = 503,
		.pos_y = 29,
		.angle = 9,
	},
	{
		.pos_x = 504,
		.pos_y = 29,
		.angle = 10,
	},
	{
		.pos_x = 505,
		.pos_y = 30,
		.angle = 11,
	},
	{
		.pos_x = 506,
		.pos_y = 30,
		.angle = 12,
	},
	{
		.pos_x = 508,
		.pos_y = 30,
		.angle = 13,
	},
	{
		.pos_x = 509,
		.pos_y = 30,
		.angle = 14,
	},
	{
		.pos_x = 510,
		.pos_y = 31,
		.angle = 15,
	},
	{
		.pos_x = 511,
		.pos_y = 31,
		.angle = 16,
	},
	{
		.pos_x = 513,
		.pos_y = 31,
		.angle = 17,
	},
	{
		.pos_x = 514,
		.pos_y = 32,
		.angle = 18,
	},
	{
		.pos_x = 515,
		.pos_y = 32,
		.angle = 19,
	},
	{
		.pos_x = 516,
		.pos_y = 33,
		.angle = 20,
	},
	{
		.pos_x = 517,
		.pos_y = 33,
		.angle = 21,
	},
	{
		.pos_x = 518,
		.pos_y = 34,
		.angle = 22,
	},
	{
		.pos_x = 520,
		.pos_y = 34,
		.angle = 23,
	},
	{
		.pos_x = 521,
		.pos_y = 35,
		.angle = 24,
	},
	{
		.pos_x = 522,
		.pos_y = 35,
		.angle = 25,
	},
	{
		.pos_x = 523,
		.pos_y = 36,
		.angle = 26,
	},
	{
		.pos_x = 524,
		.pos_y = 36,
		.angle = 27,
	},
	{
		.pos_x = 525,
		.pos_y = 37,
		.angle = 28,
	},
	{
		.pos_x = 526,
		.pos_y = 37,
		.angle = 29,
	},
	{
		.pos_x = 527,
		.pos_y = 38,
		.angle = 30,
	},
	{
		.pos_x = 528,
		.pos_y = 39,
		.angle = 31,
	},
	{
		.pos_x = 529,
		.pos_y = 39,
		.angle = 32,
	},
	{
		.pos_x = 531,
		.pos_y = 40,
		.angle = 33,
	},
	{
		.pos_x = 532,
		.pos_y = 41,
		.angle = 34,
	},
	{
		.pos_x = 533,
		.pos_y = 41,
		.angle = 35,
	},
	{
		.pos_x = 534,
		.pos_y = 42,
		.angle = 36,
	},
	{
		.pos_x = 535,
		.pos_y = 43,
		.angle = 37,
	},
	{
		.pos_x = 536,
		.pos_y = 43,
		.angle = 38,
	},
	{
		.pos_x = 537,
		.pos_y = 44,
		.angle = 39,
	},
	{
		.pos_x = 538,
		.pos_y = 45,
		.angle = 40,
	},
	{
		.pos_x = 538,
		.pos_y = 46,
		.angle = 41,
	},
	{
		.pos_x = 539,
		.pos_y = 47,
		.angle = 42,
	},
	{
		.pos_x = 540,
		.pos_y = 47,
		.angle = 43,
	},
	{
		.pos_x = 541,
		.pos_y = 48,
		.angle = 44,
	},
	{
		.pos_x = 542,
		.pos_y = 49,
		.angle = 45,
	},
	{
		.pos_x = 543,
		.pos_y = 50,
		.angle = 46,
	},
	{
		.pos_x = 544,
		.pos_y = 51,
		.angle = 47,
	},
	{
		.pos_x = 545,
		.pos_y = 52,
		.angle = 48,
	},
	{
		.pos_x = 546,
		.pos_y = 53,
		.angle = 49,
	},
	{
		.pos_x = 546,
		.pos_y = 54,
		.angle = 50,
	},
	{
		.pos_x = 547,
		.pos_y = 55,
		.angle = 51,
	},
	{
		.pos_x = 548,
		.pos_y = 56,
		.angle = 52,
	},
	{
		.pos_x = 549,
		.pos_y = 57,
		.angle = 53,
	},
	{
		.pos_x = 549,
		.pos_y = 58,
		.angle = 54,
	},
	{
		.pos_x = 550,
		.pos_y = 59,
		.angle = 55,
	},
	{
		.pos_x = 551,
		.pos_y = 60,
		.angle = 56,
	},
	{
		.pos_x = 551,
		.pos_y = 61,
		.angle = 57,
	},
	{
		.pos_x = 552,
		.pos_y = 62,
		.angle = 58,
	},
	{
		.pos_x = 553,
		.pos_y = 63,
		.angle = 59,
	},
	{
		.pos_x = 553,
		.pos_y = 64,
		.angle = 60,
	},
	{
		.pos_x = 554,
		.pos_y = 65,
		.angle = 61,
	},
	{
		.pos_x = 555,
		.pos_y = 66,
		.angle = 62,
	},
	{
		.pos_x = 555,
		.pos_y = 67,
		.angle = 63,
	},
	{
		.pos_x = 556,
		.pos_y = 68,
		.angle = 64,
	},
	{
		.pos_x = 556,
		.pos_y = 70,
		.angle = 65,
	},
	{
		.pos_x = 557,
		.pos_y = 71,
		.angle = 66,
	},
	{
		.pos_x = 557,
		.pos_y = 72,
		.angle = 67,
	},
	{
		.pos_x = 558,
		.pos_y = 73,
		.angle = 68,
	},
	{
		.pos_x = 558,
		.pos_y = 74,
		.angle = 69,
	},
	{
		.pos_x = 559,
		.pos_y = 75,
		.angle = 70,
	},
	{
		.pos_x = 559,
		.pos_y = 76,
		.angle = 71,
	},
	{
		.pos_x = 560,
		.pos_y = 78,
		.angle = 72,
	},
	{
		.pos_x = 560,
		.pos_y = 79,
		.angle = 73,
	},
	{
		.pos_x = 560,
		.pos_y = 80,
		.angle = 74,
	},
	{
		.pos_x = 561,
		.pos_y = 81,
		.angle = 75,
	},
	{
		.pos_x = 561,
		.pos_y = 82,
		.angle = 76,
	},
	{
		.pos_x = 561,
		.pos_y = 84,
		.angle = 77,
	},
	{
		.pos_x = 561,
		.pos_y = 85,
		.angle = 78,
	},
	{
		.pos_x = 562,
		.pos_y = 86,
		.angle = 79,
	},
	{
		.pos_x = 562,
		.pos_y = 87,
		.angle = 80,
	},
	{
		.pos_x = 562,
		.pos_y = 89,
		.angle = 81,
	},
	{
		.pos_x = 562,
		.pos_y = 90,
		.angle = 82,
	},
	{
		.pos_x = 562,
		.pos_y = 91,
		.angle = 83,
	},
	{
		.pos_x = 563,
		.pos_y = 92,
		.angle = 84,
	},
	{
		.pos_x = 563,
		.pos_y = 93,
		.angle = 85,
	},
	{
		.pos_x = 563,
		.pos_y = 95,
		.angle = 86,
	},
	{
		.pos_x = 563,
		.pos_y = 96,
		.angle = 87,
	},
	{
		.pos_x = 563,
		.pos_y = 97,
		.angle = 88,
	},
	{
		.pos_x = 563,
		.pos_y = 98,
		.angle = 89,
	},
	{
		.pos_x = 563,
		.pos_y = 100,
		.angle = 90,
	},
	{
		.pos_x = 563,
		.pos_y = 101,
		.angle = 91,
	},
	{
		.pos_x = 563,
		.pos_y = 102,
		.angle = 92,
	},
	{
		.pos_x = 563,
		.pos_y = 103,
		.angle = 93,
	},
	{
		.pos_x = 563,
		.pos_y = 105,
		.angle = 94,
	},
	{
		.pos_x = 563,
		.pos_y = 106,
		.angle = 95,
	},
	{
		.pos_x = 563,
		.pos_y = 107,
		.angle = 96,
	},
	{
		.pos_x = 562,
		.pos_y = 108,
		.angle = 97,
	},
	{
		.pos_x = 562,
		.pos_y = 110,
		.angle = 98,
	},
	{
		.pos_x = 562,
		.pos_y = 111,
		.angle = 99,
	},
	{
		.pos_x = 562,
		.pos_y = 112,
		.angle = 100,
	},
	{
		.pos_x = 562,
		.pos_y = 113,
		.angle = 101,
	},
	{
		.pos_x = 561,
		.pos_y = 114,
		.angle = 102,
	},
	{
		.pos_x = 561,
		.pos_y = 116,
		.angle = 103,
	},
	{
		.pos_x = 561,
		.pos_y = 117,
		.angle = 104,
	},
	{
		.pos_x = 561,
		.pos_y = 118,
		.angle = 105,
	},
	{
		.pos_x = 560,
		.pos_y = 119,
		.angle = 106,
	},
	{
		.pos_x = 560,
		.pos_y = 121,
		.angle = 107,
	},
	{
		.pos_x = 560,
		.pos_y = 122,
		.angle = 108,
	},
	{
		.pos_x = 559,
		.pos_y = 123,
		.angle = 109,
	},
	{
		.pos_x = 559,
		.pos_y = 124,
		.angle = 110,
	},
	{
		.pos_x = 558,
		.pos_y = 125,
		.angle = 111,
	},
	{
		.pos_x = 558,
		.pos_y = 126,
		.angle = 112,
	},
	{
		.pos_x = 557,
		.pos_y = 128,
		.angle = 113,
	},
	{
		.pos_x = 557,
		.pos_y = 129,
		.angle = 114,
	},
	{
		.pos_x = 556,
		.pos_y = 130,
		.angle = 115,
	},
	{
		.pos_x = 556,
		.pos_y = 131,
		.angle = 116,
	},
	{
		.pos_x = 555,
		.pos_y = 132,
		.angle = 117,
	},
	{
		.pos_x = 555,
		.pos_y = 133,
		.angle = 118,
	},
	{
		.pos_x = 554,
		.pos_y = 134,
		.angle = 119,
	},
	{
		.pos_x = 553,
		.pos_y = 135,
		.angle = 120,
	},
	{
		.pos_x = 553,
		.pos_y = 136,
		.angle = 121,
	},
	{
		.pos_x = 552,
		.pos_y = 137,
		.angle = 122,
	},
	{
		.pos_x = 551,
		.pos_y = 139,
		.angle = 123,
	},
	{
		.pos_x = 551,
		.pos_y = 140,
		.angle = 124,
	},
	{
		.pos_x = 550,
		.pos_y = 141,
		.angle = 125,
	},
	{
		.pos_x = 549,
		.pos_y = 142,
		.angle = 126,
	},
	{
		.pos_x = 549,
		.pos_y = 143,
		.angle = 127,
	},
	{
		.pos_x = 548,
		.pos_y = 144,
		.angle = 128,
	},
	{
		.pos_x = 547,
		.pos_y = 145,
		.angle = 129,
	},
	{
		.pos_x = 546,
		.pos_y = 146,
		.angle = 130,
	},
	{
		.pos_x = 546,
		.pos_y = 146,
		.angle = 131,
	},
	{
		.pos_x = 545,
		.pos_y = 147,
		.angle = 132,
	},
	{
		.pos_x = 544,
		.pos_y = 148,
		.angle = 133,
	},
	{
		.pos_x = 543,
		.pos_y = 149,
		.angle = 134,
	},
	{
		.pos_x = 542,
		.pos_y = 150,
		.angle = 135,
	},
	{
		.pos_x = 541,
		.pos_y = 151,
		.angle = 136,
	},
	{
		.pos_x = 540,
		.pos_y = 152,
		.angle = 137,
	},
	{
		.pos_x = 539,
		.pos_y = 153,
		.angle = 138,
	},
	{
		.pos_x = 538,
		.pos_y = 154,
		.angle = 139,
	},
	{
		.pos_x = 538,
		.pos_y = 154,
		.angle = 140,
	},
	{
		.pos_x = 537,
		.pos_y = 155,
		.angle = 141,
	},
	{
		.pos_x = 536,
		.pos_y = 156,
		.angle = 142,
	},
	{
		.pos_x = 535,
		.pos_y = 157,
		.angle = 143,
	},
	{
		.pos_x = 534,
		.pos_y = 157,
		.angle = 144,
	},
	{
		.pos_x = 533,
		.pos_y = 158,
		.angle = 145,
	},
	{
		.pos_x = 532,
		.pos_y = 159,
		.angle = 146,
	},
	{
		.pos_x = 531,
		.pos_y = 159,
		.angle = 147,
	},
	{
		.pos_x = 529,
		.pos_y = 160,
		.angle = 148,
	},
	{
		.pos_x = 528,
		.pos_y = 161,
		.angle = 149,
	},
	{
		.pos_x = 527,
		.pos_y = 161,
		.angle = 150,
	},
	{
		.pos_x = 526,
		.pos_y = 162,
		.angle = 151,
	},
	{
		.pos_x = 525,
		.pos_y = 163,
		.angle = 152,
	},
	{
		.pos_x = 524,
		.pos_y = 163,
		.angle = 153,
	},
	{
		.pos_x = 523,
		.pos_y = 164,
		.angle = 154,
	},
	{
		.pos_x = 522,
		.pos_y = 164,
		.angle = 155,
	},
	{
		.pos_x = 521,
		.pos_y = 165,
		.angle = 156,
	},
	{
		.pos_x = 520,
		.pos_y = 165,
		.angle = 157,
	},
	{
		.pos_x = 518,
		.pos_y = 166,
		.angle = 158,
	},
	{
		.pos_x = 517,
		.pos_y = 166,
		.angle = 159,
	},
	{
		.pos_x = 516,
		.pos_y = 167,
		.angle = 160,
	},
	{
		.pos_x = 515,
		.pos_y = 167,
		.angle = 161,
	},
	{
		.pos_x = 514,
		.pos_y = 168,
		.angle = 162,
	},
	{
		.pos_x = 513,
		.pos_y = 168,
		.angle = 163,
	},
	{
		.pos_x = 511,
		.pos_y = 168,
		.angle = 164,
	},
	{
		.pos_x = 510,
		.pos_y = 169,
		.angle = 165,
	},
	{
		.pos_x = 509,
		.pos_y = 169,
		.angle = 166,
	},
	{
		.pos_x = 508,
		.pos_y = 169,
		.angle = 167,
	},
	{
		.pos_x = 506,
		.pos_y = 169,
		.angle = 168,
	},
	{
		.pos_x = 505,
		.pos_y = 170,
		.angle = 169,
	},
	{
		.pos_x = 504,
		.pos_y = 170,
		.angle = 170,
	},
	{
		.pos_x = 503,
		.pos_y = 170,
		.angle = 171,
	},
	{
		.pos_x = 502,
		.pos_y = 170,
		.angle = 172,
	},
	{
		.pos_x = 500,
		.pos_y = 170,
		.angle = 173,
	},
	{
		.pos_x = 499,
		.pos_y = 171,
		.angle = 174,
	},
	{
		.pos_x = 498,
		.pos_y = 171,
		.angle = 175,
	},
	{
		.pos_x = 497,
		.pos_y = 171,
		.angle = 176,
	},
	{
		.pos_x = 495,
		.pos_y = 171,
		.angle = 177,
	},
	{
		.pos_x = 494,
		.pos_y = 171,
		.angle = 178,
	},
	{
		.pos_x = 493,
		.pos_y = 171,
		.angle = 179,
	},
	{
		.pos_x = 492,
		.pos_y = 171,
		.angle = 180,
	},
	{
		.pos_x = 490,
		.pos_y = 171,
		.angle = 181,
	},
	{
		.pos_x = 489,
		.pos_y = 171,
		.angle = 182,
	},
	{
		.pos_x = 488,
		.pos_y = 171,
		.angle = 183,
	},
	{
		.pos_x = 487,
		.pos_y = 171,
		.angle = 184,
	},
	{
		.pos_x = 485,
		.pos_y = 171,
		.angle = 185,
	},
	{
		.pos_x = 484,
		.pos_y = 171,
		.angle = 186,
	},
	{
		.pos_x = 483,
		.pos_y = 170,
		.angle = 187,
	},
	{
		.pos_x = 482,
		.pos_y = 170,
		.angle = 188,
	},
	{
		.pos_x = 481,
		.pos_y = 170,
		.angle = 189,
	},
	{
		.pos_x = 479,
		.pos_y = 170,
		.angle = 190,
	},
	{
		.pos_x = 478,
		.pos_y = 170,
		.angle = 191,
	},
	{
		.pos_x = 477,
		.pos_y = 169,
		.angle = 192,
	},
	{
		.pos_x = 476,
		.pos_y = 169,
		.angle = 193,
	},
	{
		.pos_x = 474,
		.pos_y = 169,
		.angle = 194,
	},
	{
		.pos_x = 473,
		.pos_y = 169,
		.angle = 195,
	},
	{
		.pos_x = 472,
		.pos_y = 168,
		.angle = 196,
	},
	{
		.pos_x = 471,
		.pos_y = 168,
		.angle = 197,
	},
	{
		.pos_x = 470,
		.pos_y = 168,
		.angle = 198,
	},
	{
		.pos_x = 468,
		.pos_y = 167,
		.angle = 199,
	},
	{
		.pos_x = 467,
		.pos_y = 167,
		.angle = 200,
	},
	{
		.pos_x = 466,
		.pos_y = 166,
		.angle = 201,
	},
	{
		.pos_x = 465,
		.pos_y = 166,
		.angle = 202,
	},
	{
		.pos_x = 464,
		.pos_y = 165,
		.angle = 203,
	},
	{
		.pos_x = 463,
		.pos_y = 165,
		.angle = 204,
	},
	{
		.pos_x = 462,
		.pos_y = 164,
		.angle = 205,
	},
	{
		.pos_x = 460,
		.pos_y = 164,
		.angle = 206,
	},
	{
		.pos_x = 459,
		.pos_y = 163,
		.angle = 207,
	},
	{
		.pos_x = 458,
		.pos_y = 163,
		.angle = 208,
	},
	{
		.pos_x = 457,
		.pos_y = 162,
		.angle = 209,
	},
	{
		.pos_x = 456,
		.pos_y = 161,
		.angle = 210,
	},
	{
		.pos_x = 455,
		.pos_y = 161,
		.angle = 211,
	},
	{
		.pos_x = 454,
		.pos_y = 160,
		.angle = 212,
	},
	{
		.pos_x = 453,
		.pos_y = 159,
		.angle = 213,
	},
	{
		.pos_x = 452,
		.pos_y = 159,
		.angle = 214,
	},
	{
		.pos_x = 451,
		.pos_y = 158,
		.angle = 215,
	},
	{
		.pos_x = 450,
		.pos_y = 157,
		.angle = 216,
	},
	{
		.pos_x = 449,
		.pos_y = 157,
		.angle = 217,
	},
	{
		.pos_x = 448,
		.pos_y = 156,
		.angle = 218,
	},
	{
		.pos_x = 447,
		.pos_y = 155,
		.angle = 219,
	},
	{
		.pos_x = 446,
		.pos_y = 154,
		.angle = 220,
	},
	{
		.pos_x = 445,
		.pos_y = 154,
		.angle = 221,
	},
	{
		.pos_x = 444,
		.pos_y = 153,
		.angle = 222,
	},
	{
		.pos_x = 443,
		.pos_y = 152,
		.angle = 223,
	},
	{
		.pos_x = 442,
		.pos_y = 151,
		.angle = 224,
	},
	{
		.pos_x = 441,
		.pos_y = 150,
		.angle = 225,
	},
	{
		.pos_x = 440,
		.pos_y = 149,
		.angle = 226,
	},
	{
		.pos_x = 439,
		.pos_y = 148,
		.angle = 227,
	},
	{
		.pos_x = 439,
		.pos_y = 147,
		.angle = 228,
	},
	{
		.pos_x = 438,
		.pos_y = 146,
		.angle = 229,
	},
	{
		.pos_x = 437,
		.pos_y = 146,
		.angle = 230,
	},
	{
		.pos_x = 436,
		.pos_y = 145,
		.angle = 231,
	},
	{
		.pos_x = 435,
		.pos_y = 144,
		.angle = 232,
	},
	{
		.pos_x = 435,
		.pos_y = 143,
		.angle = 233,
	},
	{
		.pos_x = 434,
		.pos_y = 142,
		.angle = 234,
	},
	{
		.pos_x = 433,
		.pos_y = 141,
		.angle = 235,
	},
	{
		.pos_x = 433,
		.pos_y = 140,
		.angle = 236,
	},
	{
		.pos_x = 432,
		.pos_y = 139,
		.angle = 237,
	},
	{
		.pos_x = 431,
		.pos_y = 137,
		.angle = 238,
	},
	{
		.pos_x = 431,
		.pos_y = 136,
		.angle = 239,
	},
	{
		.pos_x = 430,
		.pos_y = 135,
		.angle = 240,
	},
	{
		.pos_x = 429,
		.pos_y = 134,
		.angle = 241,
	},
	{
		.pos_x = 429,
		.pos_y = 133,
		.angle = 242,
	},
	{
		.pos_x = 428,
		.pos_y = 132,
		.angle = 243,
	},
	{
		.pos_x = 428,
		.pos_y = 131,
		.angle = 244,
	},
	{
		.pos_x = 427,
		.pos_y = 130,
		.angle = 245,
	},
	{
		.pos_x = 427,
		.pos_y = 129,
		.angle = 246,
	},
	{
		.pos_x = 426,
		.pos_y = 128,
		.angle = 247,
	},
	{
		.pos_x = 426,
		.pos_y = 126,
		.angle = 248,
	},
	{
		.pos_x = 425,
		.pos_y = 125,
		.angle = 249,
	},
	{
		.pos_x = 425,
		.pos_y = 124,
		.angle = 250,
	},
	{
		.pos_x = 424,
		.pos_y = 123,
		.angle = 251,
	},
	{
		.pos_x = 424,
		.pos_y = 122,
		.angle = 252,
	},
	{
		.pos_x = 423,
		.pos_y = 121,
		.angle = 253,
	},
	{
		.pos_x = 423,
		.pos_y = 119,
		.angle = 254,
	},
	{
		.pos_x = 423,
		.pos_y = 118,
		.angle = 255,
	},
	{
		.pos_x = 422,
		.pos_y = 117,
		.angle = 256,
	},
	{
		.pos_x = 422,
		.pos_y = 116,
		.angle = 257,
	},
	{
		.pos_x = 422,
		.pos_y = 114,
		.angle = 258,
	},
	{
		.pos_x = 422,
		.pos_y = 113,
		.angle = 259,
	},
	{
		.pos_x = 421,
		.pos_y = 112,
		.angle = 260,
	},
	{
		.pos_x = 421,
		.pos_y = 111,
		.angle = 261,
	},
	{
		.pos_x = 421,
		.pos_y = 110,
		.angle = 262,
	},
	{
		.pos_x = 421,
		.pos_y = 108,
		.angle = 263,
	},
	{
		.pos_x = 421,
		.pos_y = 107,
		.angle = 264,
	},
	{
		.pos_x = 421,
		.pos_y = 106,
		.angle = 265,
	},
	{
		.pos_x = 421,
		.pos_y = 105,
		.angle = 266,
	},
	{
		.pos_x = 420,
		.pos_y = 103,
		.angle = 267,
	},
	{
		.pos_x = 420,
		.pos_y = 102,
		.angle = 268,
	},
	{
		.pos_x = 420,
		.pos_y = 101,
		.angle = 269,
	},
	{
		.pos_x = 420,
		.pos_y = 100,
		.angle = 270,
	},
	{
		.pos_x = 420,
		.pos_y = 98,
		.angle = 271,
	},
	{
		.pos_x = 420,
		.pos_y = 97,
		.angle = 272,
	},
	{
		.pos_x = 420,
		.pos_y = 96,
		.angle = 273,
	},
	{
		.pos_x = 421,
		.pos_y = 95,
		.angle = 274,
	},
	{
		.pos_x = 421,
		.pos_y = 93,
		.angle = 275,
	},
	{
		.pos_x = 421,
		.pos_y = 92,
		.angle = 276,
	},
	{
		.pos_x = 421,
		.pos_y = 91,
		.angle = 277,
	},
	{
		.pos_x = 421,
		.pos_y = 90,
		.angle = 278,
	},
	{
		.pos_x = 421,
		.pos_y = 89,
		.angle = 279,
	},
	{
		.pos_x = 421,
		.pos_y = 87,
		.angle = 280,
	},
	{
		.pos_x = 422,
		.pos_y = 86,
		.angle = 281,
	},
	{
		.pos_x = 422,
		.pos_y = 85,
		.angle = 282,
	},
	{
		.pos_x = 422,
		.pos_y = 84,
		.angle = 283,
	},
	{
		.pos_x = 422,
		.pos_y = 82,
		.angle = 284,
	},
	{
		.pos_x = 423,
		.pos_y = 81,
		.angle = 285,
	},
	{
		.pos_x = 423,
		.pos_y = 80,
		.angle = 286,
	},
	{
		.pos_x = 423,
		.pos_y = 79,
		.angle = 287,
	},
	{
		.pos_x = 424,
		.pos_y = 78,
		.angle = 288,
	},
	{
		.pos_x = 424,
		.pos_y = 76,
		.angle = 289,
	},
	{
		.pos_x = 425,
		.pos_y = 75,
		.angle = 290,
	},
	{
		.pos_x = 425,
		.pos_y = 74,
		.angle = 291,
	},
	{
		.pos_x = 426,
		.pos_y = 73,
		.angle = 292,
	},
	{
		.pos_x = 426,
		.pos_y = 72,
		.angle = 293,
	},
	{
		.pos_x = 427,
		.pos_y = 71,
		.angle = 294,
	},
	{
		.pos_x = 427,
		.pos_y = 70,
		.angle = 295,
	},
	{
		.pos_x = 428,
		.pos_y = 68,
		.angle = 296,
	},
	{
		.pos_x = 428,
		.pos_y = 67,
		.angle = 297,
	},
	{
		.pos_x = 429,
		.pos_y = 66,
		.angle = 298,
	},
	{
		.pos_x = 429,
		.pos_y = 65,
		.angle = 299,
	},
	{
		.pos_x = 430,
		.pos_y = 64,
		.angle = 300,
	},
	{
		.pos_x = 431,
		.pos_y = 63,
		.angle = 301,
	},
	{
		.pos_x = 431,
		.pos_y = 62,
		.angle = 302,
	},
	{
		.pos_x = 432,
		.pos_y = 61,
		.angle = 303,
	},
	{
		.pos_x = 433,
		.pos_y = 60,
		.angle = 304,
	},
	{
		.pos_x = 433,
		.pos_y = 59,
		.angle = 305,
	},
	{
		.pos_x = 434,
		.pos_y = 58,
		.angle = 306,
	},
	{
		.pos_x = 435,
		.pos_y = 57,
		.angle = 307,
	},
	{
		.pos_x = 435,
		.pos_y = 56,
		.angle = 308,
	},
	{
		.pos_x = 436,
		.pos_y = 55,
		.angle = 309,
	},
	{
		.pos_x = 437,
		.pos_y = 54,
		.angle = 310,
	},
	{
		.pos_x = 438,
		.pos_y = 53,
		.angle = 311,
	},
	{
		.pos_x = 439,
		.pos_y = 52,
		.angle = 312,
	},
	{
		.pos_x = 439,
		.pos_y = 51,
		.angle = 313,
	},
	{
		.pos_x = 440,
		.pos_y = 50,
		.angle = 314,
	},
	{
		.pos_x = 441,
		.pos_y = 49,
		.angle = 315,
	},
	{
		.pos_x = 442,
		.pos_y = 48,
		.angle = 316,
	},
	{
		.pos_x = 443,
		.pos_y = 47,
		.angle = 317,
	},
	{
		.pos_x = 444,
		.pos_y = 47,
		.angle = 318,
	},
	{
		.pos_x = 445,
		.pos_y = 46,
		.angle = 319,
	},
	{
		.pos_x = 446,
		.pos_y = 45,
		.angle = 320,
	},
	{
		.pos_x = 447,
		.pos_y = 44,
		.angle = 321,
	},
	{
		.pos_x = 448,
		.pos_y = 43,
		.angle = 322,
	},
	{
		.pos_x = 449,
		.pos_y = 43,
		.angle = 323,
	},
	{
		.pos_x = 450,
		.pos_y = 42,
		.angle = 324,
	},
	{
		.pos_x = 451,
		.pos_y = 41,
		.angle = 325,
	},
	{
		.pos_x = 452,
		.pos_y = 41,
		.angle = 326,
	},
	{
		.pos_x = 453,
		.pos_y = 40,
		.angle = 327,
	},
	{
		.pos_x = 454,
		.pos_y = 39,
		.angle = 328,
	},
	{
		.pos_x = 455,
		.pos_y = 39,
		.angle = 329,
	},
	{
		.pos_x = 456,
		.pos_y = 38,
		.angle = 330,
	},
	{
		.pos_x = 457,
		.pos_y = 37,
		.angle = 331,
	},
	{
		.pos_x = 458,
		.pos_y = 37,
		.angle = 332,
	},
	{
		.pos_x = 459,
		.pos_y = 36,
		.angle = 333,
	},
	{
		.pos_x = 460,
		.pos_y = 36,
		.angle = 334,
	},
	{
		.pos_x = 462,
		.pos_y = 35,
		.angle = 335,
	},
	{
		.pos_x = 463,
		.pos_y = 35,
		.angle = 336,
	},
	{
		.pos_x = 464,
		.pos_y = 34,
		.angle = 337,
	},
	{
		.pos_x = 465,
		.pos_y = 34,
		.angle = 338,
	},
	{
		.pos_x = 466,
		.pos_y = 33,
		.angle = 339,
	},
	{
		.pos_x = 467,
		.pos_y = 33,
		.angle = 340,
	},
	{
		.pos_x = 468,
		.pos_y = 32,
		.angle = 341,
	},
	{
		.pos_x = 470,
		.pos_y = 32,
		.angle = 342,
	},
	{
		.pos_x = 471,
		.pos_y = 31,
		.angle = 343,
	},
	{
		.pos_x = 472,
		.pos_y = 31,
		.angle = 344,
	},
	{
		.pos_x = 473,
		.pos_y = 31,
		.angle = 345,
	},
	{
		.pos_x = 474,
		.pos_y = 30,
		.angle = 346,
	},
	{
		.pos_x = 476,
		.pos_y = 30,
		.angle = 347,
	},
	{
		.pos_x = 477,
		.pos_y = 30,
		.angle = 348,
	},
	{
		.pos_x = 478,
		.pos_y = 30,
		.angle = 349,
	},
	{
		.pos_x = 479,
		.pos_y = 29,
		.angle = 350,
	},
	{
		.pos_x = 481,
		.pos_y = 29,
		.angle = 351,
	},
	{
		.pos_x = 482,
		.pos_y = 29,
		.angle = 352,
	},
	{
		.pos_x = 483,
		.pos_y = 29,
		.angle = 353,
	},
	{
		.pos_x = 484,
		.pos_y = 29,
		.angle = 354,
	},
	{
		.pos_x = 485,
		.pos_y = 29,
		.angle = 355,
	},
	{
		.pos_x = 487,
		.pos_y = 29,
		.angle = 356,
	},
	{
		.pos_x = 488,
		.pos_y = 28,
		.angle = 357,
	},
	{
		.pos_x = 489,
		.pos_y = 28,
		.angle = 358,
	},
	{
		.pos_x = 490,
		.pos_y = 28,
		.angle = 359,
	},
};
static struct needle_layer_asset nlassets[] = {
	{
		.feature = "fps-text",
		.width = 22,
		.height = 9,
		.pos_x = 590,
		.pos_y = 0,
		.filename = DATADIR"/"ASSETDIR"/needles/fps-text-590-0-22-9.raw",
	},
};
